// herbruikbare package

package be.hogent.h17;

import java.io.Serializable;

public class H17_AccountRecord implements Serializable {
	
	private int account;
	private String firstName;
	private String lastName;
	private double balance;
	
	public H17_AccountRecord() {
		this (0,"","",0.0);
	}
	
	public H17_AccountRecord(int acct, String first, String last, double bal) {
		setAccount(acct);
		setFirstName(first);
		setLastName(last);
		setBalance(bal);
	}
	
	// Getters
	public int getAccount() {
		return account;
	}
	
	public String getFirstName() {
		return firstName;
	}
	
	public String getLastName() {
		return lastName;
	}
	
	public double getBalance() {
		return balance;
	}
	
	
	// Setters
	public void setAccount(int acct){
		account = acct;
	}
	
	public void setFirstName(String first) {
		firstName = first;
	}
	
	public void setLastName(String last) {
		lastName = last;
	}
	
	public void setBalance(double bal) {
		balance = bal;
	}
	
}
